%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Szablon artykuw konferencji
% Diagnostyka Procesw Przemysowych
%
%         Gdask 21.03.2003
%
%       (c) K. Patan, Z. Kowalczuk
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\typeout{Document Style `dpp03 <2003>.}

\newcommand\@ptsize{}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{dpp03}[2003/03/20 Szablon artykuw konferencji Diagnostyka Procesw Przemysowych]

\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\ExecuteOptions{a4paper,twocolumn,fleqn,11pt} \ProcessOptions

%%%%%%%%%%% Zdefiniowanie wielkoci czcionek%%%%%%%%%%%%%%

\def\normalsize{\@setsize\normalsize{11pt}\xipt\@xipt}
\def\small{\@setsize\small{10pt}\xpt\@xpt}
\def\footnotesize{\@setsize\footnotesize{9pt}\ixpt\@ixpt}
\def\scriptsize{\@setsize\scriptsize{8pt}\viiipt\@viiipt}
\def\tiny{\@setsize\tiny{6pt}\vipt\@vipt}
\def\large{\@setsize\large{12pt}\xiipt\@xiipt}
\def\Large{\@setsize\Large{14pt}\xivpt\@xivpt}
\def\LARGE{\@setsize\LARGE{17pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{20pt}\xxpt\@xxpt}
\def\Huge{\@setsize\Huge{25pt}\xxvpt\@xxvpt}

%%%%%%%%%%%%%% Deklaracja rnych krojw czcionek %%%%%%%%%%%%%%%%%

\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}

%%%%%%%%%%%%%%%%%% ROZMIAR OBSZARU TEKSTU %%%%%%%%%%%%%%%%%
\textwidth160mm \textheight250mm

%%%%%%%%%%%%%% Odlego pomidzy kolumnami %%%%%%%%%%%%%%
\columnsep 1cm

%%%%%%%%%%%%%%%%%%%%%%%%% Akapit %%%%%%%%%%%%%%%%%%%%%
%\parindent 0em
\parindent 1cm

%%%%%%%%%%%%%%%%%%%%%%%% TYTU %%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\maketitle{\par
  \begingroup
   \def\thefootnote{\fnsymbol{footnote}}
   \setcounter{footnote}{1}
   \def\@makefnmark{\@textsuperscript{\normalfont\@thefnmark}}%
   \def\@makefntext##1{\noindent \hb@xt@0.5em
        {\hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
  \twocolumn[\@maketitle]
  \thispagestyle{empty}\@thanks
  \endgroup
  \let\maketitle\relax \let\@maketitle\relax
  \gdef\@thanks{} \let\thanks\relax
  \gdef\@author{} \let\@author\relax \gdef\@title{}
}

\def\@maketitle{\newpage
      \vskip-4em     
      \begin{minipage}{\textwidth}
          \begin{minipage}{1.5cm}
              \includegraphics{logo}
          \end{minipage}
          \begin{minipage}{20cm}
             \small VI Krajowa Konferencja Naukowo-Techniczna~\textit{Diagnostyka Proces\'ow Przemys\l owych, DPP'03}\\[+2pt]
              W\l adys\l awowo k/Gda\'nska, 15--17 wrze\'snia, 2003
          \end{minipage}
          \line(1,0){450}
      \end{minipage}
      \begin{center}
      \vskip42pt
      \let \footnote \thanks
      {\Large \bfseries{\uppercase \@title \par}}
      \vskip28pt
      {\lineskip.5em\large\@author \par}
      \vskip28pt
      {\lineskip.5em\small\@date\par}
      \end{center}\par\vskip28pt}

%%%%%%%%%%%%%%%%%% rodowisko figure i table %%%%%%%%%%%%%%%%%%%%%%%%%
\def\tablestring{table}
\def\figurestring{figure}

\newcounter{figure}
\def\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{Rys.~\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}

\newcounter{table}
\def\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{Tab.~\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}

\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}

\long\def\@caption#1[#2]#3{
   \par
   \begingroup \@parboxrestore \normalsize
     \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}{#1}\par
   \endgroup}

\newlength{\captionindent}
\long\def\@makecaption#1#2#3{
    \vskip 5pt
    \setbox\@tempboxa\hbox{#1.~ #2}
    \ifdim \wd\@tempboxa >\hsize
     \setbox\@tempboxa\hbox{#1.~ }
       \setlength\captionindent{\wd\@tempboxa} \divide\captionindent by 2
       \addtolength{\hsize}{-\wd\@tempboxa}%
       \mbox{#1.~}\parbox[t]{\hsize}{#2}
   \else
      \centering #1.~#2
    \fi
}

\arraycolsep 5pt \tabcolsep 6pt \arrayrulewidth .4pt
\doublerulesep 2pt \tabbingsep\labelsep

%%%%%%%%%%%%%%% rodowisko streszczenie i abstract %%%%%%%%%%%%%%%%%%%%%
\newenvironment{streszczenie}{\noindent\small\textbf{Streszczenie:~}}{\vskip 10pt}
\newenvironment{abstract}[1]{%
            \vskip14pt \small
            \begin{center}
              \MakeUppercase{\textbf{#1}}
            \end{center}
            \vskip10pt
            \textbf{Abstract:~}}{}

%%%%%%%%%%%%%%%%% rodowisko slowa kluczowe%%%%%%%%%%%%%%%%%%%%%
\newenvironment{slowa}{\noindent\small\textbf{S{\l}owa kluczowe:~}}{\vskip 10pt}

%%%%%%%%%%%%%%%%%%%%%%%%% Definicja rozdziaw %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\abovedisplayskip       10pt plus2pt minus5pt%
\belowdisplayskip       \abovedisplayskip
\abovedisplayshortskip  10pt plus3pt%
\belowdisplayshortskip  10pt plus3pt minus3pt%

\setcounter {secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]

\renewcommand\thesection       {\textbf{\@arabic\c@section}}
\renewcommand\thesubsection    {\textbf{\thesection.\@arabic\c@subsection}}
\renewcommand\thesubsubsection {\textbf{\thesubsection.\@arabic\c@subsubsection}}
\renewcommand\theparagraph     {\textbf{\thesubsubsection.\@arabic\c@paragraph}}
\renewcommand\thesubparagraph  {\textbf{\theparagraph.\@arabic\c@subparagraph}}

\def\@pnumwidth{1.55em}

\renewcommand\@seccntformat[1]{\csname the#1\endcsname{\bf.}\enspace}

\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
     \def\@svsec{}
  \else
  \refstepcounter{#1}%
  \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
     \begingroup #6\relax
      \ifnum #2=1
       \@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty \@M \MakeUppercase{\textbf{#8}}\par}
      \else
       \@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty \@M \textbf{#8}\par}
      \fi
     \endgroup
     \csname #1mark\endcsname{#7}
  \else
     \def\@svsechd{#6\hskip #3\@svsec #8\@punct\csname
     #1mark\endcsname{#7}}
  \fi
  \@xsect{#5}}

\def\@ssect#1#2#3#4#5{\@tempskipa #3\relax
  \ifdim \@tempskipa>\z@
     \begingroup #4\@hangfrom{\hskip #1}{\interlinepenalty \@M #5\par}\endgroup
  \else \def\@svsechd{#4\hskip #1\relax #5\@punct}\fi
  \@xsect{#3}}

\def\section{\@startsection{section}{1}{\z@}{-2\baselineskip}
     {1\baselineskip}{\normalfont\normalsize}}
\def\subsection{\@startsection{subsection}{2}{\z@}{-1\baselineskip}
     {0.1\baselineskip}{}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{-1\baselineskip}
     {1\baselineskip}{}}
\def\paragraph{\@startsection{paragraph}{4}{\z@}{1.0ex plus .5ex
     minus .2ex}{0ex}{}}

%%%%%%%%%%%%%%%% rodowisko equation i eqnarray %%%%%%%%%%%%%%%%%%%%%%%
\def\theequation{\arabic{equation}}

\newskip\eqntopsep
\eqntopsep 11pt

\def\equation{
   \refstepcounter{equation}\trivlist
   \@topsep \eqntopsep
   \@topsepadd \eqntopsep
   \item[]\leavevmode
   \hbox to\linewidth\bgroup  $ \displaystyle \hskip\mathindent\bgroup}
\def\endequation{\egroup$ \displaywidth\linewidth
   \@eqnnum\egroup \endtrivlist}

\newdimen\eqnarraycolsep
\eqnarraycolsep 1\p@

\def\eqnarray{%
  \stepcounter{equation}%
  \let\@currentlabel=\theequation
  \global\@eqnswtrue
  \global\@eqcnt\z@
  \let\\=\@eqncr
  \abovedisplayskip\eqntopsep
  \belowdisplayskip\abovedisplayskip
  \belowdisplayshortskip\abovedisplayskip
  \abovedisplayshortskip\abovedisplayskip
  $$\halign to \displaywidth\bgroup\@eqnsel
    \pre@coli$\displaystyle\tabskip\z@{##}$\post@coli
    &\global\@eqcnt\@ne
    \pre@colii$\displaystyle{##}$\post@colii
    &\global\@eqcnt\tw@
    \pre@coliii $\displaystyle\tabskip\z@{##}$\post@coliii
    \tabskip\@centering&\llap{##}\tabskip\z@\cr
}
\def\endeqnarray{\@@eqncr\egroup
 \global\advance\c@equation\m@ne$$\global\@ignoretrue }

\def\pre@coli{\hskip\@centering}              \def\post@coli{}
\def\pre@colii{\hskip 2\eqnarraycolsep \hfil} \def\post@colii{\hfil}
\def\pre@coliii{\hskip 2\eqnarraycolsep}      \def\post@coliii{\hfil}


%%%%%%%%%%%%%%%%%% Numerowanie i wyliczanie %%%%%%%%%%%%%%%%%%%%%%%%%
\itemindent -1em
\leftmargini 2em \leftmarginii 1em \leftmarginiii 1.5em
\leftmarginiv 1.5em \leftmarginv 1.0em \leftmarginvi 1.0em
\labelsep 5pt \leftmargin\leftmargini \labelwidth \z@

\def\@listI{\leftmargin\leftmargini} \@listI
\def\@listi{\leftmargin\leftmargini  \topsep \z@ plus 1pt minus 1pt}
\def\@listii{\leftmargin\leftmarginii\labelwidth\leftmarginii
    \advance\labelwidth-\labelsep    \topsep \z@}
\def\@listiii{\leftmargin\leftmarginiii\labelwidth\leftmarginiii
    \advance\labelwidth-\labelsep    \topsep \z@}
\def\@listiv{\leftmargin\leftmarginiv\labelwidth\leftmarginiv
    \advance\labelwidth-\labelsep    \topsep \z@}
\def\@listv{\leftmargin\leftmarginv\labelwidth\leftmarginv
    \advance\labelwidth-\labelsep    \topsep \z@}
\def\@listvi{\leftmargin\leftmarginvi\labelwidth\leftmarginvi
    \advance\labelwidth-\labelsep    \topsep \z@}

\def\labelenumi{\theenumi.}     \def\theenumi{\arabic{enumi}}
\def\labelenumii{\theenumii.}   \def\theenumii{\arabic{enumii}}
\def\labelenumiii{\theenumiii.} \def\theenumiii{\arabic{enumiii}}
\def\labelenumiv{\theenumiv.}   \def\theenumiv{\arabic{enumiv}}
\def\p@enumii{\theenumi}
\def\p@enumiii{\theenumi(\theenumii)}
\def\p@enumiv{\p@enumiii\theenumiii}

\def\labelitemi{$\scriptstyle\bullet$}
\def\labelitemii{\bf --}
\def\labelitemiii{$\ast$}
\def\labelitemiv{$\cdot$}

\newdimen\tmpitemindent
\def\@mklab#1{#1}
\def\enumerate{\tmpitemindent\itemindent\ifnum \@enumdepth >3 \@toodeep\else
    \advance\@enumdepth \@ne \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
    \list{\csname label\@enumctr\endcsname}{\itemindent\tmpitemindent
    \usecounter{\@enumctr}\def\makelabel##1{\hspace\labelsep\hfil{##1}}}\fi}
\def\endenumerate{\endlist\par}

\def\itemize{\tmpitemindent\itemindent
\ifnum \@itemdepth >3 \@toodeep\else
    \advance\@itemdepth\@ne
    \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
    \vskip7pt
    \list{\csname\@itemitem\endcsname}{\itemindent\tmpitemindent
    \def\makelabel##1{\hspace\labelsep\hfil{##1}}}\fi}
\def\enditemize{\endlist\par \vskip7pt}

%%%%%%%%%%%%%%%%%%%%%%% Literatura %%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\@cite#1#2{[{#1\if@tempswa , #2\fi}]}

\def\@biblabel#1{\def\citename##1{##1}[#1]\hfill}
\let\@openbib@code\@empty

\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{{\bf LITERATURA}
       \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}}%
       \small
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}

\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}


%%%%%%%%%%%%%%%%%% Ostp midzy liniami %%%%%%%%%%%%%%%%%%%%%%%%
\linespread{1.2}
